API
Online News Search Direct API
Online news includes reporting published by digital-native outlets, newspapers, broadcasters, wire services, and magazines on the web. It is important for reputation, market signals, policy developments, and fast-moving public information.
API Reference Version: 1.0.0 3 Endpoints Authentication
Base URL
https://api.pressmonitor.ca Authentication
All requests use Bearer token authentication. Add the Authorization header to every call.
Authorization: Bearer YOUR_API_KEY
x-subscription-id: YOUR_SUB_ID GET
/headlines Get News Headlines
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| keywords_text | string | query | Yes | Primary keyword query used for direct news retrieval |
| lang_code | string | query | No | Filter by language code (ISO 639-1) |
| country_code | string | query | No | Filter by country code (ISO 3166-1 alpha-2) |
| count | integer | query | No | Number of results to return |
| cursor | string | query | No | Pagination cursor for next page |
| date_from | string | query | No | Start date for news (YYYY-MM-DD format) |
| date_to | string | query | No | End date for news (YYYY-MM-DD format) |
| sort | string | query | No | latest|relevance(default) |
Code Examples
curl -X GET "https://api.pressmonitor.ca/headlines?keywords_text=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" Responses
200 Success
GET
/briefs Get News Briefs
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| keywords_text | string | query | Yes | Primary keyword query used for direct news retrieval |
| lang_code | string | query | No | Filter by language code (ISO 639-1) |
| country_code | string | query | No | Filter by country code (ISO 3166-1 alpha-2) |
| count | integer | query | No | Number of results to return |
| cursor | string | query | No | Pagination cursor for next page |
| date_from | string | query | No | Start date for news (YYYY-MM-DD format) |
| date_to | string | query | No | End date for news (YYYY-MM-DD format) |
| sort | string | query | No | latest|relevance(default) |
Code Examples
curl -X GET "https://api.pressmonitor.ca/briefs?keywords_text=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" Responses
200 Success
GET
/fulltext Get Full-Text News
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| keywords_text | string | query | Yes | Primary keyword query used for direct news retrieval |
| lang_code | string | query | No | Filter by language code (ISO 639-1) |
| country_code | string | query | No | Filter by country code (ISO 3166-1 alpha-2) |
| count | integer | query | No | Number of results to return |
| cursor | string | query | No | Pagination cursor for next page |
| date_from | string | query | No | Start date for news (YYYY-MM-DD format) |
| date_to | string | query | No | End date for news (YYYY-MM-DD format) |
| sort | string | query | No | latest|relevance(default) |
Code Examples
curl -X GET "https://api.pressmonitor.ca/fulltext?keywords_text=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" Responses
200 Success